Summary: Source Code Highlighter with Support for Many Languages
Name: source-highlight
Version: 3.1.9
Release: 6%{?dist}
License: GPLv3+
URL: http://www.gnu.org/software/src-highlite/
Source0: https://ftp.gnu.org/gnu/src-highlite/source-highlight-%{version}.tar.gz

BuildRequires: make gcc gcc-c++
BuildRequires: bison flex boost-devel
BuildRequires: help2man chrpath pkgconfig(bash-completion) 

%description
Source-highlight can reads source language specifications dynamically,  
and it can be easily extended for handling new languages. It also reads
output format specifications dynamically.

%package devel
Summary: Development files for source-highlight
Requires: source-highlight = %{version}-%{release}
Requires: boost-devel

%description devel
Development libraries and header files for using source-highlight.

%prep
%autosetup 

%build
export CXXFLAGS="-std=c++14 $RPM_OPT_FLAGS"
export CTAGS=do_not_use_ctags
%configure --disable-static --with-boost-regex=boost_regex
%make_build

%install
%make_install

sed -i 's|\r||' %{buildroot}%{_pkgdocdir}/*.css

rm -f %{buildroot}%{_infodir}/dir
find %{buildroot} -name \*.la -delete
find %{buildroot} -name \*.a -delete

chrpath --delete %{buildroot}%{_bindir}/source-highlight
chrpath --delete %{buildroot}%{_bindir}/source-highlight-settings

echo -e "\ncxx = cpp.lang" >> %{buildroot}%{_datadir}/source-highlight/lang.map

bashcompdir=$(pkg-config --variable=completionsdir bash-completion)

mkdir -p %{buildroot}$bashcompdir
mv %{buildroot}%{_sysconfdir}/bash_completion.d/source-highlight %{buildroot}$bashcompdir/
rmdir %{buildroot}%{_sysconfdir}/bash_completion.d

%files
%license COPYING
%doc %{_pkgdocdir}/*
%{_bindir}/*
%{_libdir}/libsource-highlight.so.*
%dir %{_datadir}/source-highlight
%{_datadir}/bash-completion/
%{_datadir}/source-highlight/*
%{_infodir}/source-highlight*.info*
%{_mandir}/man1/*

%files devel
%{_libdir}/libsource-highlight.so
%{_libdir}/pkgconfig/source-highlight.pc
%dir %{_includedir}/srchilite
%{_includedir}/srchilite/*.h

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.9-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.9-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 3.1.9-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.9-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 Wang Zhe <bessiewang@tencent.com> - 3.1.9-1
- initial build
